> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/digital-asset-by-id.md).

# Digital Asset by ID

#### `GET /withdrawals/digital_asset_addresses/:id` <a href="#get-withdrawals-digital_asset_addresses-id" id="get-withdrawals-digital_asset_addresses-id"></a>

```
const getWithdrawalAddresses = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/digital_asset_addresses/:id' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    json: true
  }

  return request.get(
    'https://api.ndax.in/withdrawals/digital_asset_addresses/:id',
    options
  )
}
```

Returns a specific crypto withdrawal account associated with your participant or platform.

See GET /withdrawals/digital\_asset\_addresses for response field descriptions.

> Sample Response

```
{
  "message": {
    "withdrawal_account_id": 123,
    "name": "Fund Yes Wallet",
    "address": "M9zjMhjaPfwaeyeH2SY6aWyGqdTS9feg8Z",
    "status": "APPROVED",
    "limit": 1000,
    "asset": "LTC",
    "last_update": 1554395972174,
    "submitted_address": "33nb3pKcSZ69rUNNvZYkksisWvrzCmi3Jt",
    "participant_code": "ABCDEF"
  }
}
```
